// ../../node_modules/.pnpm/@pandacss+dev@0.46.1_typescript@5.6.3/node_modules/@pandacss/dev/dist/index.mjs
function defineConfig(config2) {
  return Object.assign(config2, { name: "__panda.config__" });
}
function defineRecipe(config2) {
  return config2;
}
function defineSlotRecipe(config2) {
  return config2;
}
function definePreset(preset2) {
  return preset2;
}

// src/recipes/button.ts
var buttonRecipe = defineRecipe({
  className: "button",
  description: "The styles for the Button component",
  base: {
    display: "flex"
  },
  variants: {
    variant: {
      primary: {
        bg: "red.800",
        color: "red.200"
      },
      secondary: {
        bg: "blue.800",
        color: "blue.200"
      },
      tertiary: {
        bg: "green.800",
        color: "green.200"
      }
    },
    size: {
      sm: { padding: "4", fontSize: "12px" },
      lg: { padding: "6", fontSize: "16px" },
      xl: { padding: "8", fontSize: "18px" }
    },
    shape: {
      square: { borderRadius: "0" },
      circle: { borderRadius: "full" }
    }
  },
  defaultVariants: {
    variant: "primary",
    size: "sm",
    shape: "circle"
  }
});

// ../../node_modules/.pnpm/@zag-js+anatomy@0.62.1/node_modules/@zag-js/anatomy/dist/index.mjs
var createAnatomy = (name, parts2 = []) => ({
  parts: (...values) => {
    if (isEmpty(parts2)) {
      return createAnatomy(name, values);
    }
    throw new Error("createAnatomy().parts(...) should only be called once. Did you mean to use .extendWith(...) ?");
  },
  extendWith: (...values) => createAnatomy(name, [...parts2, ...values]),
  rename: (newName) => createAnatomy(newName, parts2),
  keys: () => parts2,
  build: () => [...new Set(parts2)].reduce(
    (prev, part) => Object.assign(prev, {
      [part]: {
        selector: [
          `&[data-scope="${toKebabCase(name)}"][data-part="${toKebabCase(part)}"]`,
          `& [data-scope="${toKebabCase(name)}"][data-part="${toKebabCase(part)}"]`
        ].join(", "),
        attrs: { "data-scope": toKebabCase(name), "data-part": toKebabCase(part) }
      }
    }),
    {}
  )
});
var toKebabCase = (value) => value.replace(/([A-Z])([A-Z])/g, "$1-$2").replace(/([a-z])([A-Z])/g, "$1-$2").replace(/[\s_]+/g, "-").toLowerCase();
var isEmpty = (v) => v.length === 0;

// ../../node_modules/.pnpm/@zag-js+dom-query@0.62.1/node_modules/@zag-js/dom-query/dist/index.mjs
var isDocument = (el) => el.nodeType === Node.DOCUMENT_NODE;
var isWindow = (el) => el != null && el === el.window;
function getDocument(el) {
  if (isDocument(el)) return el;
  if (isWindow(el)) return el.document;
  return el?.ownerDocument ?? document;
}
var defaultItemToId = (v) => v.id;
function itemById(v, id, itemToId = defaultItemToId) {
  return v.find((item) => itemToId(item) === id);
}
function indexOfId(v, id, itemToId = defaultItemToId) {
  const item = itemById(v, id, itemToId);
  return item ? v.indexOf(item) : -1;
}
function nextById(v, id, loop = true) {
  let idx = indexOfId(v, id);
  idx = loop ? (idx + 1) % v.length : Math.min(idx + 1, v.length - 1);
  return v[idx];
}
function prevById(v, id, loop = true) {
  let idx = indexOfId(v, id);
  if (idx === -1) return loop ? v[v.length - 1] : null;
  idx = loop ? (idx - 1 + v.length) % v.length : Math.max(0, idx - 1);
  return v[idx];
}
function queryAll(root, selector) {
  return Array.from(root?.querySelectorAll(selector) ?? []);
}
function createScope(methods) {
  const dom2 = {
    getRootNode: (ctx) => ctx.getRootNode?.() ?? document,
    getDoc: (ctx) => getDocument(dom2.getRootNode(ctx)),
    getWin: (ctx) => dom2.getDoc(ctx).defaultView ?? window,
    getActiveElement: (ctx) => dom2.getRootNode(ctx).activeElement,
    isActiveElement: (ctx, elem) => elem === dom2.getActiveElement(ctx),
    getById: (ctx, id) => dom2.getRootNode(ctx).getElementById(id),
    setValue: (elem, value) => {
      if (elem == null || value == null) return;
      const valueAsString = value.toString();
      if (elem.value === valueAsString) return;
      elem.value = value.toString();
    }
  };
  return { ...dom2, ...methods };
}
var fps = 1e3 / 60;

// ../../node_modules/.pnpm/@zag-js+utils@0.62.1/node_modules/@zag-js/utils/dist/index.mjs
var first = (v) => v[0];
var last = (v) => v[v.length - 1];
function splitProps(props2, keys) {
  const rest = {};
  const result = {};
  const keySet = new Set(keys);
  for (const key in props2) {
    if (keySet.has(key)) {
      result[key] = props2[key];
    } else {
      rest[key] = props2[key];
    }
  }
  return [result, rest];
}
var createSplitProps = (keys) => {
  return function split(props2) {
    return splitProps(props2, keys);
  };
};

// ../../node_modules/.pnpm/@zag-js+core@0.62.1/node_modules/@zag-js/core/dist/index.mjs
var isString = (v) => typeof v === "string";
var isFunction = (v) => typeof v === "function";
function exec(guardMap, ctx, event, meta) {
  return (guard) => {
    if (isString(guard)) {
      return !!guardMap[guard]?.(ctx, event, meta);
    }
    if (isFunction(guard)) {
      return guard(ctx, event, meta);
    }
    return guard.predicate(guardMap)(ctx, event, meta);
  };
}
function or(...conditions) {
  return {
    predicate: (guardMap) => (ctx, event, meta) => conditions.map(exec(guardMap, ctx, event, meta)).some(Boolean)
  };
}
function and(...conditions) {
  return {
    predicate: (guardMap) => (ctx, event, meta) => conditions.map(exec(guardMap, ctx, event, meta)).every(Boolean)
  };
}
function not(condition) {
  return {
    predicate: (guardMap) => (ctx, event, meta) => {
      return !exec(guardMap, ctx, event, meta)(condition);
    }
  };
}
function stateIn(...values) {
  return (_ctx, _evt, meta) => meta.state.matches(...values);
}
var guards = { or, and, not, stateIn };

// ../../node_modules/.pnpm/@zag-js+types@0.62.1/node_modules/@zag-js/types/dist/index.mjs
var createProps = () => (props2) => Array.from(new Set(props2));

// ../../node_modules/.pnpm/@zag-js+accordion@0.62.1/node_modules/@zag-js/accordion/dist/index.mjs
var anatomy = createAnatomy("accordion").parts("root", "item", "itemTrigger", "itemContent", "itemIndicator");
var parts = anatomy.build();
var dom = createScope({
  getRootId: (ctx) => ctx.ids?.root ?? `accordion:${ctx.id}`,
  getItemId: (ctx, value) => ctx.ids?.item?.(value) ?? `accordion:${ctx.id}:item:${value}`,
  getItemContentId: (ctx, value) => ctx.ids?.itemContent?.(value) ?? `accordion:${ctx.id}:content:${value}`,
  getItemTriggerId: (ctx, value) => ctx.ids?.itemTrigger?.(value) ?? `accordion:${ctx.id}:trigger:${value}`,
  getRootEl: (ctx) => dom.getById(ctx, dom.getRootId(ctx)),
  getTriggerEls: (ctx) => {
    const ownerId = CSS.escape(dom.getRootId(ctx));
    const selector = `[aria-controls][data-ownedby='${ownerId}']:not([disabled])`;
    return queryAll(dom.getRootEl(ctx), selector);
  },
  getFirstTriggerEl: (ctx) => first(dom.getTriggerEls(ctx)),
  getLastTriggerEl: (ctx) => last(dom.getTriggerEls(ctx)),
  getNextTriggerEl: (ctx, id) => nextById(dom.getTriggerEls(ctx), dom.getItemTriggerId(ctx, id)),
  getPrevTriggerEl: (ctx, id) => prevById(dom.getTriggerEls(ctx), dom.getItemTriggerId(ctx, id))
});
var { and: and2, not: not2 } = guards;
var props = createProps()([
  "collapsible",
  "dir",
  "disabled",
  "getRootNode",
  "id",
  "ids",
  "multiple",
  "onFocusChange",
  "onValueChange",
  "orientation",
  "value"
]);
var splitProps2 = createSplitProps(props);
var itemProps = createProps()(["value", "disabled"]);
var splitItemProps = createSplitProps(itemProps);

// src/recipes/acrrodion.ts
var accordionRecipe = defineSlotRecipe({
  className: "accordion",
  slots: anatomy.keys(),
  base: {
    root: {
      divideY: "1px",
      width: "full",
      borderTopWidth: "1px",
      borderBottomWidth: "1px"
    },
    itemTrigger: {
      alignItems: "center",
      color: "black",
      cursor: "pointer",
      display: "flex",
      fontWeight: "600",
      gap: "3",
      justifyContent: "space-between",
      textStyle: "lg",
      textAlign: "left",
      width: "full",
      _disabled: {
        color: "gray.200",
        cursor: "not-allowed"
      }
    },
    itemIndicator: {
      color: "fg.muted",
      transformOrigin: "center",
      transitionDuration: "normal",
      transitionProperty: "transform",
      transitionTimingFunction: "default",
      _open: {
        transform: "rotate(-180deg)"
      }
    },
    itemContent: {
      color: "gray.800",
      overflow: "hidden",
      transitionProperty: "padding-bottom",
      transitionDuration: "normal",
      transitionTimingFunction: "default",
      _open: {
        animation: "collapse-in"
      },
      _closed: {
        animation: "collapse-out"
      }
    }
  },
  defaultVariants: {
    size: "md"
  },
  variants: {
    size: {
      md: {
        itemTrigger: {
          py: "4"
        },
        itemContent: {
          pb: "6",
          pr: "8",
          _closed: {
            pb: "0"
          }
        }
      }
    }
  }
});

// src/index.ts
var preset = definePreset({
  name: "six-org-preset",
  theme: {
    recipes: {
      button: buttonRecipe
    },
    slotRecipes: {
      accordion: accordionRecipe
    }
  }
});
var config = defineConfig({
  preflight: true,
  jsxFramework: "react",
  outdir: "styled-system",
  importMap: "@six-org/styled-system"
});
export {
  config,
  preset
};
